Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040MaintainedEntity

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040MaintainedEntityImpl

    public interface POCDMT000040MaintainedEntity

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Maintained Entity'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Effective Time`
- `Maintaining Person`
- `Class Code`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040MaintainedEntity()`

Method Summary
`java.lang.Object` | `getClassCode()` Returns the value of the 'Class Code' attribute.
`IVLTS` | `getEffectiveTime()` Returns the value of the 'Effective Time' containment reference.
`POCDMT000040Person` | `getMaintainingPerson()` Returns the value of the 'Maintaining Person' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isSetClassCode()` Returns whether the value of the '`Class Code`' attribute is set.
`void` | `setClassCode(java.lang.Object value)` Sets the value of the '`Class Code`' attribute.
`void` | `setEffectiveTime(IVLTS value)` Sets the value of the '`Effective Time`' containment reference.
`void` | `setMaintainingPerson(POCDMT000040Person value)` Sets the value of the '`Maintaining Person`' containment reference.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetClassCode()` Unsets the value of the '`Class Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040MaintainedEntity_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040MaintainedEntity_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040MaintainedEntity_TemplateId()`

### getEffectiveTime

    IVLTS getEffectiveTime()

  Returns the value of the 'Effective Time' containment reference.

  If the meaning of the 'Effective Time' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Effective Time' containment reference.
  See Also:
    `setEffectiveTime(IVLTS)`, `CDAR2Package.getPOCDMT000040MaintainedEntity_EffectiveTime()`

### setEffectiveTime

    void setEffectiveTime(IVLTS value)

  Sets the value of the '`Effective Time`' containment reference.

  Parameters:
    `value` - the new value of the 'Effective Time' containment reference.
  See Also:
    `getEffectiveTime()`

### getMaintainingPerson

    POCDMT000040Person getMaintainingPerson()

  Returns the value of the 'Maintaining Person' containment reference.

  If the meaning of the 'Maintaining Person' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maintaining Person' containment reference.
  See Also:
    `setMaintainingPerson(POCDMT000040Person)`, `CDAR2Package.getPOCDMT000040MaintainedEntity_MaintainingPerson()`

### setMaintainingPerson

    void setMaintainingPerson(POCDMT000040Person value)

  Sets the value of the '`Maintaining Person`' containment reference.

  Parameters:
    `value` - the new value of the 'Maintaining Person' containment reference.
  See Also:
    `getMaintainingPerson()`

### getClassCode

    java.lang.Object getClassCode()

  Returns the value of the 'Class Code' attribute. The default value is `"MNT"`.

  If the meaning of the 'Class Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `setClassCode(Object)`, `CDAR2Package.getPOCDMT000040MaintainedEntity_ClassCode()`

### setClassCode

    void setClassCode(java.lang.Object value)

  Sets the value of the '`Class Code`' attribute.

  Parameters:
    `value` - the new value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `getClassCode()`

### unsetClassCode

    void unsetClassCode()

  Unsets the value of the '`Class Code`' attribute.

  See Also:
    `isSetClassCode()`, `getClassCode()`, `setClassCode(Object)`

### isSetClassCode

    boolean isSetClassCode()

  Returns whether the value of the '`Class Code`' attribute is set.

  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `unsetClassCode()`, `getClassCode()`, `setClassCode(Object)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040MaintainedEntity_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD